LATEXMLMATH(1)

NAME
"latexmlmath" - transforms a TeX/LaTeX math expression into various formats.

SYNOPSIS
latexmlmath [options] texmath

 Options:
 --mathimage=file           converts to image in file
 --mathsvg=file             converts to svg image in file
 --magnification=mag        specifies magnification factor
 --presentationmathml=file  converts to Presentation MathML
 --pmml=file                alias for --presentationmathml
 --linelength=n             do linewrapping of pMML
 --contentmathml=file       convert to Content MathML
 --cmml=file                alias for --contentmathml
 --openmath=file            convert to OpenMath
 --om=file                  alias for --openmath
 --XMath=file               output LaTeXML's internal format
 --noparse                  disables parsing of math
                            (not useful for cMML or openmath)
 --preload=file             loads a style file.
 --includestyles            allows processing raw *.sty files
                            (normally it avoids this)
 --path=dir                 adds a search path for style files.
 --quiet                    reduces verbosity (can repeat)
 --verbose                  increases verbosity (can repeat)
 --strict                   be more strict about errors.
 --documentid=id            assign an id to the document root.
 --debug=package            enables debugging output for the
                            named package
 --inputencoding=enc specify the input encoding.
 --VERSION                  show version number and exit.
 --help                     shows this help message.
 --                         ends options

If texmath is '-', "latexmlmath" reads the TeX from standard input. If any of the output files are '-', the result is printed on standard output.

  Input notes
Note that, unless you are reading texmath from standard input, the texmath string will be processed by whatever shell you are using before "latexmlmath" even sees it. This means that many so-called meta characters, such as backslash and star, may confuse the shell or be changed. Consequently, you will need to quote and/or slashify the input appropriately. Most particularly, "\" will need to be doubled to "\\" for "latexmlmath" to see it as a control sequence.

Using "--" to explicitly end the option list is useful for cases when the math starts with a minus (and would otherwise be interpreted as an option, probably an unrecognized one). Alternatively, wrapping the texmath with {} will hide the minus.

Simple examples:

  latexmlmath \\frac{-b\\pm\\sqrt{b^2-4ac}}{2a}
  echo "\\sqrt{b^2-4ac}" | latexmlmath --pmml=quad.mml -

OPTIONS AND ARGUMENTS

  Conversion Options
These options specify what formats the math should be converted to. In each case, the destination file is given. Except for mathimage, the file can be given as '-', in which case the result is printed to standard output.

If no conversion option is specified, the default is to output presentation MathML to standard output.

"--mathimage"=file
    Requests conversion to png images.

"--mathsvg"=file
    Requests conversion to svg images.

"--magnification="factor
    Specifies the magnification used for math image. Default is 1.75.

"--presentationmathml"=file
    Requests conversion to Presentation MathML.

"--linelength"=number
    (Experimental) Line-breaks the generated Presentation MathML so that it is no longer than number `characters'.

"--plane1"
    Converts the content of Presentation MathML token elements to the appropriate Unicode Plane-1 codepoints according to the selected font, when applicable.

"--hackplane1"
    Converts the content of Presentation MathML token elements to the appropriate Unicode Plane-1 codepoints according to the selected font, but only for the mathvariants double-struck, fraktur and script. This gives support for current (as of August 2009) versions of Firefox and MathPlayer, provided a sufficient set of fonts is available (eg. STIX).

"--contentmathml"=file
    Requests conversion to Content MathML. Note that this conversion is only partially implemented.

"--openmath"=file
    Requests conversion to OpenMath. Note that this conversion is only partially implemented.

"--XMath"=file
    Requests convertion to LaTeXML's internal format.

Other Options

"--preload"=module
    Requests the loading of an optional module or package. This may be useful if the TeX code does not specificly require the module (eg. through input or usepackage). For example, use "--preload=LaTeX.pool" to force LaTeX mode.

"--includestyles"
    This optional allows processing of style files (files with extensions "sty", "cls", "clo", "cnf"). By default, these files are ignored unless a latexml implementation of them is found (with an extension of "ltxml").

    These style files generally fall into two classes: Those that merely affect document style are ignorable in the XML. Others define new markup and document structure, often using deeper LaTeX macros to achieve their ends. Although the omission will lead to other errors (missing macro definitions), it is unlikely that processing the TeX code in the style file will lead to a correct document.

"--path"=dir
    Add dir to the search paths used when searching for files, modules, style files, etc; somewhat like TEXINPUTS. This option can be repeated.

"--documentid"=id
    Assigns an ID to the root element of the XML document. This ID is generally inherited as the prefix of ID's on all other elements within the document. This is useful when constructing a site of multiple documents so that all nodes have unique IDs.

"--quiet"
    Reduces the verbosity of output during processing, used twice is pretty silent.

"--verbose"
    Increases the verbosity of output during processing, used twice is pretty chatty. Can be useful for getting more details when errors occur.

"--strict"
    Specifies a strict processing mode. By default, undefined control sequences and invalid document constructs (that violate the DTD) give warning messages, but attempt to continue processing. Using --strict makes them generate fatal errors.

"--inputencoding="encoding
    Specify the input encoding, eg. "--inputencoding=iso-8859-1". The encoding must be one known to Perl's Encode package. Note that this only enables the translation of the input bytes to UTF-8 used internally by LaTeXML, but does not affect catcodes. It is usually better to use LaTeX's inputenc package. Note that this does not affect the output encoding, which is always UTF-8.

"--VERSION"
    Shows the version number of the LaTeXML package..

"--debug"=package
    Enables debugging output for the named package. The package is given without the leading LaTeXML::.

"--help"
    Shows this help message.

BUGS
This program runs much slower than would seem justified. This is a result of the relatively slow initialization including loading TeX and LaTeX macros and the schema. Normally, this cost would be ammortized over large documents, whereas, in this case, we're processing a single math expression.

SEE ALSO
latexml, latexmlpost, LaTeXML